#ifndef XBEE_H
#define XBEE_H

#include "common.h"

// -----------------------------------------------------------------------------

extern void dataReceived(byte *data, byte len);

void xbee_init();
void xbee_putchar(byte c, byte *checksum);
void xbee_sendString(char *str);
void xbee_led(byte on);
void xbee_remoteLed(byte on);
void xbee_packetReceived(byte *packet);
void xbee_readyRead();

// -----------------------------------------------------------------------------

#endif
